Package net.shibboleth.idp.authn.context

# Class UserAgentContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.context.UserAgentContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class UserAgentContext extends BaseContext
A context containing data about the user agent.

Parent:
  `ProfileRequestContext`, `AuthenticationContext`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private InetAddress`
`address`
Address of the user-agent host.
`private String`
`identifier`
An identification string (such as a User-Agent header).

## Constructor Summary

Constructors
Constructor
Description
`UserAgentContext()`

## Method Summary

Modifier and Type
Method
Description
`InetAddress`
`getAddress()`
Get the address of the user-agent host.
`String`
`getIdentifier()`
Get the user agent identifier.
`UserAgentContext`
`setAddress(InetAddress userAgentAddress)`
Set the address of the user-agent host.
`UserAgentContext`
`setIdentifier(String id)`
Set the user agent identifier.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### address

@Nullable private InetAddress address
Address of the user-agent host.

### identifier

@Nullable private String identifier
An identification string (such as a User-Agent header).

## Constructor Details

### UserAgentContext

public UserAgentContext()

## Method Details

### getAddress

@Nullable public InetAddress getAddress()
Get the address of the user-agent host.

Returns:
  address of the user-agent host

### setAddress

@Nonnull public UserAgentContext setAddress(@Nullable InetAddress userAgentAddress)
Set the address of the user-agent host.

Parameters:
  `userAgentAddress` - address of the user-agent host
Returns:
  this context

### getIdentifier

@Nullable public String getIdentifier()
Get the user agent identifier.

Returns:
  identifier for the user agent

### setIdentifier

@Nonnull public UserAgentContext setIdentifier(@Nullable String id)
Set the user agent identifier.

Parameters:
  `id` - identifier for the user agent
Returns:
  this context